Subject: Re: String.h vs string.h question
From: [email-masked] (Geoffrey Noer)

9 May 1997 02:24:38 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked] (Geoffrey Noer)
In-Reply-To: <[email-masked]> from "Mikey" at May 8, 97 01:20:25 pm
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

I was asked:
> 
> So is mount -m reenabled, or what?
> 
> Is that the String.h string.h fix, and if so so we need to reinstall to use
> it?
> 
> Confused.

The header files fix in b18 has nothing to do with mount -m.  I am making
use of a gcc internal mechanism that allows you to create a mapping between
header file names.

String.h is really _string.h in the release.  I added a mapping in a
file called header.gcc which tells gcc that any references to String.h
really mean _string.h.  Similar conflicts are handled in the same way.

Although this is what's happening inside the compiler, everyone should
continue to #include the standard names.  (The internal mapping should
stay internal).

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".